package com.ruoyi.system.domain;



import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.Excel.ColumnType;
import com.ruoyi.common.core.domain.BaseEntity;
import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 充电交流舱表 product_charging
 *
 * @author ruoyi
 */

public class ProductCharging extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id", cellType = ColumnType.NUMERIC)
    private Long id;

    /** 产品id */
    @Excel(name = "产品id")

    private String productId;

    /** 额定容量（kVA） */
    @Excel(name = "额定容量（kVA）")

    private BigDecimal ratedCapacity;

    /** 额定电压（高压kV） */
    @Excel(name = "额定电压（高压kV）")

    private BigDecimal ratedHighVoltage;

    /** 额定电压（低压kV） */
    @Excel(name = "额定电压（低压kV）")

    private BigDecimal ratedLowVoltage;

    /** 额定电网频率 */
    @Excel(name = "额定电网频率")

    private BigDecimal ratedGridFrequency;

    /** 变压器能效 */
    @Excel(name = "变压器能效")

    private BigDecimal transformerEnergyEfficiency;

    /** 变压器绝缘耐热等级 */
    @Excel(name = "变压器绝缘耐热等级")

    private String transformerInsulationHeatResistanceClass;

    /** 过载能力 */
    @Excel(name = "过载能力")

    private String overloadCapacity;

    /** 隔离方式 */
    @Excel(name = "隔离方式")

    private String isolationMethod;

    /** 辅助变额定电压 */
    @Excel(name = "辅助变额定电压")

    private String ratedVoltageOfAuxiliaryTransformer;

    /** 辅助变容量 */
    @Excel(name = "辅助变容量")

    private String auxiliaryVariableCapacity;

    /** 工作直流电压范围 */
    @Excel(name = "工作直流电压范围")

    private String workingDcVoltageRange;

    /** 额定交流功率 */
    @Excel(name = "额定交流功率")

    private BigDecimal ratedAcPower;

    /** 最大交流功率 */
    @Excel(name = "最大交流功率")

    private BigDecimal maximumAcPower;

    /** 效率 */
    @Excel(name = "效率")
    private BigDecimal efficiency;

    /** 充电舱最大支持车载数 */
    @Excel(name = "充电舱最大支持车载数", cellType = ColumnType.NUMERIC)

    private Integer maxVehicleCount;

    /** 防护等级 */
    @Excel(name = "防护等级")

    private String protectionLevel;

    /** 防腐等级 */
    @Excel(name = "防腐等级")

    private String antiCorrosionLevel;

    /** 工作环境温度 */
    @Excel(name = "工作环境温度")

    private BigDecimal workingTemperature;

    /** 允许湿度范围 */
    @Excel(name = "允许湿度范围")

    private BigDecimal allowableHumidityRange;

    /** 海拔 */
    @Excel(name = "海拔")
    private BigDecimal altitude;

    /** 冷却方式 */
    @Excel(name = "冷却方式")

    private String coolingMethod;

    /** 尺寸 */
    @Excel(name = "尺寸")

    private String directCurrentSize;

    /** 充放电插座数量 */
    @Excel(name = "充放电插座数量", cellType = ColumnType.NUMERIC)

    private Integer numberSockets;

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getProductId()
    {
        return productId;
    }

    public void setProductId(String productId)
    {
        this.productId = productId;
    }

    public BigDecimal getRatedCapacity()
    {
        return ratedCapacity;
    }

    public void setRatedCapacity(BigDecimal ratedCapacity)
    {
        this.ratedCapacity = ratedCapacity;
    }

    public BigDecimal getRatedHighVoltage()
    {
        return ratedHighVoltage;
    }

    public void setRatedHighVoltage(BigDecimal ratedHighVoltage)
    {
        this.ratedHighVoltage = ratedHighVoltage;
    }

    public BigDecimal getRatedLowVoltage()
    {
        return ratedLowVoltage;
    }

    public void setRatedLowVoltage(BigDecimal ratedLowVoltage)
    {
        this.ratedLowVoltage = ratedLowVoltage;
    }

    public BigDecimal getRatedGridFrequency()
    {
        return ratedGridFrequency;
    }

    public void setRatedGridFrequency(BigDecimal ratedGridFrequency)
    {
        this.ratedGridFrequency = ratedGridFrequency;
    }

    public BigDecimal getTransformerEnergyEfficiency()
    {
        return transformerEnergyEfficiency;
    }

    public void setTransformerEnergyEfficiency(BigDecimal transformerEnergyEfficiency)
    {
        this.transformerEnergyEfficiency = transformerEnergyEfficiency;
    }

    public String getTransformerInsulationHeatResistanceClass()
    {
        return transformerInsulationHeatResistanceClass;
    }

    public void setTransformerInsulationHeatResistanceClass(String transformerInsulationHeatResistanceClass)
    {
        this.transformerInsulationHeatResistanceClass = transformerInsulationHeatResistanceClass;
    }

    public String getOverloadCapacity()
    {
        return overloadCapacity;
    }

    public void setOverloadCapacity(String overloadCapacity)
    {
        this.overloadCapacity = overloadCapacity;
    }

    public String getIsolationMethod()
    {
        return isolationMethod;
    }

    public void setIsolationMethod(String isolationMethod)
    {
        this.isolationMethod = isolationMethod;
    }

    public String getRatedVoltageOfAuxiliaryTransformer()
    {
        return ratedVoltageOfAuxiliaryTransformer;
    }

    public void setRatedVoltageOfAuxiliaryTransformer(String ratedVoltageOfAuxiliaryTransformer)
    {
        this.ratedVoltageOfAuxiliaryTransformer = ratedVoltageOfAuxiliaryTransformer;
    }

    public String getAuxiliaryVariableCapacity()
    {
        return auxiliaryVariableCapacity;
    }

    public void setAuxiliaryVariableCapacity(String auxiliaryVariableCapacity)
    {
        this.auxiliaryVariableCapacity = auxiliaryVariableCapacity;
    }

    public String getWorkingDcVoltageRange()
    {
        return workingDcVoltageRange;
    }

    public void setWorkingDcVoltageRange(String workingDcVoltageRange)
    {
        this.workingDcVoltageRange = workingDcVoltageRange;
    }

    public BigDecimal getRatedAcPower()
    {
        return ratedAcPower;
    }

    public void setRatedAcPower(BigDecimal ratedAcPower)
    {
        this.ratedAcPower = ratedAcPower;
    }

    public BigDecimal getMaximumAcPower()
    {
        return maximumAcPower;
    }

    public void setMaximumAcPower(BigDecimal maximumAcPower)
    {
        this.maximumAcPower = maximumAcPower;
    }

    public BigDecimal getEfficiency()
    {
        return efficiency;
    }

    public void setEfficiency(BigDecimal efficiency)
    {
        this.efficiency = efficiency;
    }

    public Integer getMaxVehicleCount()
    {
        return maxVehicleCount;
    }

    public void setMaxVehicleCount(Integer maxVehicleCount)
    {
        this.maxVehicleCount = maxVehicleCount;
    }

    public String getProtectionLevel()
    {
        return protectionLevel;
    }

    public void setProtectionLevel(String protectionLevel)
    {
        this.protectionLevel = protectionLevel;
    }

    public String getAntiCorrosionLevel()
    {
        return antiCorrosionLevel;
    }

    public void setAntiCorrosionLevel(String antiCorrosionLevel)
    {
        this.antiCorrosionLevel = antiCorrosionLevel;
    }

    public BigDecimal getWorkingTemperature()
    {
        return workingTemperature;
    }

    public void setWorkingTemperature(BigDecimal workingTemperature)
    {
        this.workingTemperature = workingTemperature;
    }

    public BigDecimal getAllowableHumidityRange()
    {
        return allowableHumidityRange;
    }

    public void setAllowableHumidityRange(BigDecimal allowableHumidityRange)
    {
        this.allowableHumidityRange = allowableHumidityRange;
    }

    public BigDecimal getAltitude()
    {
        return altitude;
    }

    public void setAltitude(BigDecimal altitude)
    {
        this.altitude = altitude;
    }

    public String getCoolingMethod()
    {
        return coolingMethod;
    }

    public void setCoolingMethod(String coolingMethod)
    {
        this.coolingMethod = coolingMethod;
    }

    public String getDirectCurrentSize()
    {
        return directCurrentSize;
    }

    public void setDirectCurrentSize(String directCurrentSize)
    {
        this.directCurrentSize = directCurrentSize;
    }

    public Integer getNumberSockets()
    {
        return numberSockets;
    }

    public void setNumberSockets(Integer numberSockets)
    {
        this.numberSockets = numberSockets;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("productId", getProductId())
            .append("ratedCapacity", getRatedCapacity())
            .append("ratedHighVoltage", getRatedHighVoltage())
            .append("ratedLowVoltage", getRatedLowVoltage())
            .append("ratedGridFrequency", getRatedGridFrequency())
            .append("transformerEnergyEfficiency", getTransformerEnergyEfficiency())
            .append("transformerInsulationHeatResistanceClass", getTransformerInsulationHeatResistanceClass())
            .append("overloadCapacity", getOverloadCapacity())
            .append("isolationMethod", getIsolationMethod())
            .append("ratedVoltageOfAuxiliaryTransformer", getRatedVoltageOfAuxiliaryTransformer())
            .append("auxiliaryVariableCapacity", getAuxiliaryVariableCapacity())
            .append("workingDcVoltageRange", getWorkingDcVoltageRange())
            .append("ratedAcPower", getRatedAcPower())
            .append("maximumAcPower", getMaximumAcPower())
            .append("efficiency", getEfficiency())
            .append("maxVehicleCount", getMaxVehicleCount())
            .append("protectionLevel", getProtectionLevel())
            .append("antiCorrosionLevel", getAntiCorrosionLevel())
            .append("workingTemperature", getWorkingTemperature())
            .append("allowableHumidityRange", getAllowableHumidityRange())
            .append("altitude", getAltitude())
            .append("coolingMethod", getCoolingMethod())
            .append("directCurrentSize", getDirectCurrentSize())
            .append("numberSockets", getNumberSockets())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
